Subject: Ispell personal dictionary breaks other dictionaries

From: Tor Kringeland <[email-masked]>
Date: Sun, 14 Nov 2021 14:50:01 +0100

Using e.g. `ispell' with an English dictionary and setting
`ispell-personal-dictionary' to, say, `/tmp/words.txt' will add new
words to this file when using this dictionary.  However, if I change the
dictionary to something else (like a Norwegian dictionary), I get the
following output

  Starting new Ispell process /usr/local/bin/aspell with english dictionary...done
  ispell-init-process: Error: Expected language "nn" but got "en".

when running `ispell-word' on a misspelled word.  By extension this
breaks `flyspell-mode'.  If I set `ispell-personal-dictionary' back to
nil, though, things works as usual.

For reference this happens on a build of Emacs 29 from 11 November using
`-Q' on macOS Catalina, though I remember having this problem for quite
some time.